scala.compat
class StringBuilder

[source: `scala/compat/StringBuilder.scala`]

`final` `class` StringBuilder(`val` self : java.lang.StringBuffer)
  `extends` (Int) => Char `with` Proxy

  Consult the documentation of `java.lang.StringBuffer` for more details (see http://java.sun.com/javase/6/docs/api/).

Additional Constructor Summary
`def` | this : StringBuilder
`def` | this (s : java.lang.String) : StringBuilder
`def` | this (n : Int) : StringBuilder

Method Summary
`def` | append (x : Double) : StringBuilder
`def` | append (x : Array[Char], start : Int, length : Int) : StringBuilder
`def` | append (x : Int) : StringBuilder
`def` | append (x : Short) : StringBuilder
`def` | append (x : java.lang.String) : StringBuilder
`def` | append (x : Array[Char]) : StringBuilder
`def` | append (x : Byte) : StringBuilder
`def` | append (x : Long) : StringBuilder
`def` | append (x : Float) : StringBuilder
`def` | append (x : Any) : StringBuilder
`def` | append (x : Boolean) : StringBuilder
`def` | append (x : Char) : StringBuilder
`def` | apply (i : Int) : Char
`def` | capacity : Int
`def` | capacity_= (n : Int) : Unit
`def` | charAt (i : Int) : Char
`def` | deleteCharAt (index : Int) : java.lang.StringBuffer
`def` | ensureCapacity (n : Int) : Unit
`def` | insert (at : Int, x : Short) : StringBuilder
`def` | insert (at : Int, x : Char) : StringBuilder
`def` | insert (at : Int, x : Long) : StringBuilder
`def` | insert (at : Int, x : Boolean) : StringBuilder
`def` | insert (at : Int, x : Byte) : StringBuilder
`def` | insert (at : Int, x : Float) : StringBuilder
`def` | insert (at : Int, x : Array[Char]) : StringBuilder
`def` | insert (at : Int, x : java.lang.String) : StringBuilder
`def` | insert (at : Int, x : Array[Char], start : Int, length : Int) : StringBuilder
`def` | insert (at : Int, x : Any) : StringBuilder
`def` | insert (at : Int, x : Double) : StringBuilder
`def` | insert (at : Int, x : Int) : StringBuilder
`def` | length : Int
`def` | length_= (n : Int) : Unit
`def` | setCharAt (index : Int, c : Char) : Unit
`def` | setLength (n : Int) : Unit
`def` | substring (i : Int, j : Int) : java.lang.String
`def` | substring (i : Int) : java.lang.String
`def` | update (i : Int, c : Char) : Unit

Methods inherited from Proxy
hashCode, equals, toString

Methods inherited from Function1
compose, andThen

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Additional Constructor Details

`` `def` this : StringBuilder

`` `def` this(n : Int) : StringBuilder

`` `def` this(s : java.lang.String) : StringBuilder

Method Details

`` `def` length : Int

`` `def` length_=(n : Int) : Unit

`` `def` setLength(n : Int) : Unit

`` `def` capacity : Int

`` `def` capacity_=(n : Int) : Unit

`` `def` ensureCapacity(n : Int) : Unit

`` `def` charAt(i : Int) : Char

`` `def` apply(i : Int) : Char

Overrides
  Function1.apply

`` `def` deleteCharAt(index : Int) : java.lang.StringBuffer

`` `def` setCharAt(index : Int, c : Char) : Unit

`` `def` update(i : Int, c : Char) : Unit

`` `def` substring(i : Int) : java.lang.String

`` `def` substring(i : Int, j : Int) : java.lang.String

`` `def` append(x : Any) : StringBuilder

`` `def` append(x : Boolean) : StringBuilder

`` `def` append(x : Byte) : StringBuilder

`` `def` append(x : Short) : StringBuilder

`` `def` append(x : Char) : StringBuilder

`` `def` append(x : Int) : StringBuilder

`` `def` append(x : Long) : StringBuilder

`` `def` append(x : Float) : StringBuilder

`` `def` append(x : Double) : StringBuilder

`` `def` append(x : java.lang.String) : StringBuilder

`` `def` append(x : Array[Char]) : StringBuilder

`` `def` append(x : Array[Char], start : Int, length : Int) : StringBuilder

`` `def` insert(at : Int, x : Any) : StringBuilder

`` `def` insert(at : Int, x : Boolean) : StringBuilder

`` `def` insert(at : Int, x : Byte) : StringBuilder

`` `def` insert(at : Int, x : Short) : StringBuilder

`` `def` insert(at : Int, x : Char) : StringBuilder

`` `def` insert(at : Int, x : Int) : StringBuilder

`` `def` insert(at : Int, x : Long) : StringBuilder

`` `def` insert(at : Int, x : Float) : StringBuilder

`` `def` insert(at : Int, x : Double) : StringBuilder

`` `def` insert(at : Int, x : java.lang.String) : StringBuilder

`` `def` insert(at : Int, x : Array[Char]) : StringBuilder

`` `def` insert(at : Int, x : Array[Char], start : Int, length : Int) : StringBuilder